Bug 375296 - unable to use kdeconnect-cli to send an sms
Summary: unable to use kdeconnect-cli to send an sms
Status: REPORTED
Alias: None
Product: kaddressbook
Classification: Applications
Component: general (show other bugs)
Version: 5.12.0
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-19 14:09 UTC by Philippe ROUBACH
Modified: 2019-08-16 12:37 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.5.1


Attachments
window to sens sms (32.70 KB, image/png)
2017-01-19 14:09 UTC, Philippe ROUBACH
Details
messages from kaddressbook (10.48 KB, text/plain)
2017-05-30 07:16 UTC, Philippe ROUBACH
Details
messages from kontacts (50.13 KB, text/plain)
2017-05-30 07:30 UTC, Philippe ROUBACH
Details
log when sending "coucou" (3.01 KB, text/plain)
2017-08-22 08:26 UTC, Philippe ROUBACH
Details
back trace (9.47 KB, text/plain)
2017-08-22 08:56 UTC, Philippe ROUBACH
Details
gdb backtrace (46.26 KB, text/plain)
2017-08-23 08:45 UTC, Philippe ROUBACH
Details
a complete gdb backtrace (17.89 KB, text/plain)
2017-09-26 08:20 UTC, Philippe ROUBACH
Details
backtrace 20190816 (33.04 KB, text/plain)
2019-08-16 10:31 UTC, Philippe ROUBACH
Details
kaddressbook alone crash backtrace (13.12 KB, text/plain)
2019-08-16 12:37 UTC, Philippe ROUBACH
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe ROUBACH 2017-01-19 14:09:20 UTC
Created attachment 103534 [details]
window to sens sms

opensuse 42.2 x86_64
kaddressbook 16.08

i want to sens sms with kaddressbook

the folowing statement runs well in konsole. the sms is well send to a contact.

kdeconnect-cli -n 'Samsung Galaxy S2 Plus' --destination '+33 6 12 34 56 78' --send-sms "coucou, pas trop froid?"

in kaddressbook settings > send an SMS > external app

i fill the field with
kdeconnect-cli -n 'Samsung Galaxy S2 Plus' --destination %N --send-sms %t
then
i select a contact
then
i click on the icon near the phone number
then
a window opens to enter the text
then
i type etxt
then
ok
then
SMS is not send

i get an error message ""Missing value after '--send-sms'

see
********************************************************************
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
sonnet.core: Unable to identify string with dictionaries: "ca"
sonnet.core: Unable to identify string with dictionaries: "ca "
sonnet.core: deleting 0x3994a90 for "fr"
sonnet.core: deleting 0x2b9be28 for "fr_FR"
QXcbConnection: XCB error: 3 (BadWindow), sequence: 4796, resource id: 52667067, major code: 40 (TranslateCoords), minor code: 0
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
Missing value after '--send-sms'.
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified

********************************************************************
Comment 1 Laurent Montel 2017-04-25 11:54:08 UTC
Git commit 44f16b485ee9ad207888d18b5db7320c2c7d72dc by Montel Laurent.
Committed on 25/04/2017 at 11:53.
Pushed by mlaurent into branch 'Applications/17.04'.

Fix Bug 375296 - unable to use kdeconnect-cli to send an sms

FIXED-IN: 5.5.1

I can't test it but we need to quote text and number

M  +3    -3    src/actions/sendsmsaction.cpp

https://commits.kde.org/akonadi-contacts/44f16b485ee9ad207888d18b5db7320c2c7d72dc
Comment 2 Philippe ROUBACH 2017-04-25 12:04:46 UTC
thanks
Comment 3 Philippe ROUBACH 2017-05-30 07:14:52 UTC
it is not fixed.

kontact crashes wxhen sending sms

see the log messages from kaddressbook
Comment 4 Philippe ROUBACH 2017-05-30 07:16:06 UTC
Created attachment 105770 [details]
messages from kaddressbook
Comment 5 Philippe ROUBACH 2017-05-30 07:20:24 UTC
obviously i tested with kaddresssbook 5.5.1 (17.04.1)
Comment 6 Philippe ROUBACH 2017-05-30 07:30:54 UTC
Created attachment 105772 [details]
messages from kontacts
Comment 7 Philippe ROUBACH 2017-08-22 08:26:02 UTC
Created attachment 107432 [details]
log when sending "coucou"

5.6.0

still not fixed

see a more complete log.

where is there a problem if it is not a kde problem? an opensuse problem ?

thanks
Comment 8 Laurent Montel 2017-08-22 08:39:26 UTC
I need a backtrace as it crashs.

but you have a lot of "QFSFileEngine::open: No file name specified" I don't understand which code create this bug
Comment 9 Philippe ROUBACH 2017-08-22 08:56:11 UTC
Created attachment 107435 [details]
back trace

see backtrace
Comment 10 Philippe ROUBACH 2017-08-23 08:45:49 UTC
Created attachment 107468 [details]
gdb backtrace

another backtrace with gdb
Comment 11 Christoph Feck 2017-09-17 15:15:15 UTC
This looks like a memory corruption. If possible, try to get a valgrind log. For more information, please see https://community.kde.org/Guidelines_and_HOWTOs/Debugging/How_to_create_useful_crash_reports#Retrieving_a_backtrace_with_Valgrind
Comment 12 Philippe ROUBACH 2017-09-17 15:39:53 UTC
no problem with another opensuse leap 42.2. on another disk and fresh installation.

there is still many "QFSFileEngine::open: No file name specified" without any problem.

i close this bug report.

thanks
Comment 13 Philippe ROUBACH 2017-09-25 10:46:40 UTC
i reopen this report because there is something new

opensuse leap 42.2
kdeapplications 17.0.8.1
kde framework5 5.38
plasma 5.10.95

again there is a crash but no dr konqui report.

here is the log in konsole

roubach@linux-bmy3:~> kaddressbook
org.kde.akonadi.ETM: GEN true false true
org.kde.akonadi.ETM: collection: QVector()
org.kde.akonadi.ETM: Subtree:  8 QSet(8)
org.kde.akonadi.ETM: collection: "Contacts personnels"
org.kde.akonadi.ETM: Subtree:  25 QSet(32, 30, 31, 28, 29, 26, 27, 25)
org.kde.akonadi.ETM: collection: "http://www.google.com/m8/feeds/groups/episteme.promeneur%40gmail.com/base/f"
org.kde.akonadi.ETM: collection: "http://www.google.com/m8/feeds/groups/episteme.promeneur%40gmail.com/base/d"
org.kde.akonadi.ETM: collection: "http://www.google.com/m8/feeds/groups/episteme.promeneur%40gmail.com/base/e"
org.kde.akonadi.ETM: collection: "http://www.google.com/m8/feeds/groups/episteme.promeneur%40gmail.com/base/2c2c0176895df900"
org.kde.akonadi.ETM: collection: "http://www.google.com/m8/feeds/groups/episteme.promeneur%40gmail.com/base/5835b2ea0c54d438"
org.kde.akonadi.ETM: collection: "Autres contacts"
org.kde.akonadi.ETM: collection: "http://www.google.com/m8/feeds/groups/episteme.promeneur%40gmail.com/base/1e2d34f48c32ef6f"
org.kde.akonadi.ETM: collection: "episteme.promeneur@gmail.com"
org.kde.akonadi.ETM: Fetch job took  135 msec
org.kde.akonadi.ETM: was collection fetch job: collections: 9
org.kde.akonadi.ETM: first fetched collection: "Contacts personnels"
org.kde.akonadi.ETM: Fetch job took  9 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
org.kde.akonadi.ETM: Fetch job took  11 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
org.kde.akonadi.ETM: Fetch job took  12 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
org.kde.akonadi.ETM: Fetch job took  14 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
org.kde.akonadi.ETM: Fetch job took  37 msec
org.kde.akonadi.ETM: was item fetch job: items: 16
org.kde.akonadi.ETM: Fetch job took  42 msec
org.kde.akonadi.ETM: was item fetch job: items: 21
org.kde.akonadi.ETM: Fetch job took  44 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
org.kde.akonadi.ETM: Fetch job took  46 msec
org.kde.akonadi.ETM: was item fetch job: items: 8
org.kde.akonadi.ETM: Fetch job took  66 msec
org.kde.akonadi.ETM: was item fetch job: items: 174
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
sonnet.core: deleting 0x1def010 for "fr_FR"
sonnet.core: deleting 0x1d74078 for "fr_FR"
sonnet.core: Loading trigrams from "/usr/share/kf5/sonnet/trigrams.map"
sonnet.core: deleting 0x1d72360 for "fr"
sonnet.core: deleting 0x19edde8 for "fr_FR"
QXcbConnection: XCB error: 3 (BadWindow), sequence: 2171, resource id: 46491381, major code: 40 (TranslateCoords), minor code: 0
Erreur de segmentation (core dumped)
roubach@linux-bmy3:~>
Comment 14 Philippe ROUBACH 2017-09-25 11:07:20 UTC
i tried to get a bt but no true success

Start it from the beginning? (y or n) y
Starting program: /usr/bin/kaddressbook 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
[New Thread 0x7fffd49d4700 (LWP 16106)]
[New Thread 0x7fffc9a63700 (LWP 16107)]
[New Thread 0x7fffc28c5700 (LWP 16108)]
[New Thread 0x7fffb999a700 (LWP 16110)]
org.kde.akonadi.ETM: GEN true false true
org.kde.akonadi.ETM: collection: QVector()
org.kde.akonadi.ETM: Subtree:  25 QSet(28, 31, 30, 32, 25, 27, 26, 29)
org.kde.akonadi.ETM: collection: "http://www.google.com/m8/feeds/groups/episteme.promeneur%40gmail.com/base/2c2c0176895df900"
org.kde.akonadi.ETM: collection: "http://www.google.com/m8/feeds/groups/episteme.promeneur%40gmail.com/base/e"
org.kde.akonadi.ETM: collection: "http://www.google.com/m8/feeds/groups/episteme.promeneur%40gmail.com/base/d"
org.kde.akonadi.ETM: collection: "http://www.google.com/m8/feeds/groups/episteme.promeneur%40gmail.com/base/f"
org.kde.akonadi.ETM: collection: "episteme.promeneur@gmail.com"
org.kde.akonadi.ETM: collection: "http://www.google.com/m8/feeds/groups/episteme.promeneur%40gmail.com/base/1e2d34f48c32ef6f"
org.kde.akonadi.ETM: collection: "Autres contacts"
org.kde.akonadi.ETM: collection: "http://www.google.com/m8/feeds/groups/episteme.promeneur%40gmail.com/base/5835b2ea0c54d438"
org.kde.akonadi.ETM: Subtree:  8 QSet(8)
org.kde.akonadi.ETM: collection: "Contacts personnels"
org.kde.akonadi.ETM: Fetch job took  138 msec
org.kde.akonadi.ETM: was collection fetch job: collections: 9
org.kde.akonadi.ETM: first fetched collection: "Contacts personnels"
org.kde.akonadi.ETM: Fetch job took  72 msec
org.kde.akonadi.ETM: was item fetch job: items: 16
org.kde.akonadi.ETM: Fetch job took  75 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
org.kde.akonadi.ETM: Fetch job took  77 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
org.kde.akonadi.ETM: Fetch job took  78 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
org.kde.akonadi.ETM: Fetch job took  112 msec
org.kde.akonadi.ETM: was item fetch job: items: 174
org.kde.akonadi.ETM: Fetch job took  119 msec
org.kde.akonadi.ETM: was item fetch job: items: 8
org.kde.akonadi.ETM: Fetch job took  122 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
org.kde.akonadi.ETM: Fetch job took  170 msec
org.kde.akonadi.ETM: was item fetch job: items: 21
org.kde.akonadi.ETM: Fetch job took  120 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
sonnet.core: deleting 0xf26fb0 for "fr_FR"
sonnet.core: deleting 0xef2058 for "fr_FR"
sonnet.core: Loading trigrams from "/usr/share/kf5/sonnet/trigrams.map"
sonnet.core: deleting 0xf266b0 for "fr"
sonnet.core: deleting 0xc56838 for "fr_FR"
Detaching after fork from child process 16126.

Thread 1 "kaddressbook" received signal SIGSEGV, Segmentation fault.
0x00007ffff50cbcb8 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQt5Core.so.5
(gdb) bt
#0  0x00007ffff50cbcb8 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQt5Core.so.5
Backtrace stopped: Cannot access memory at address 0x7fffffffd5c8
(gdb)
Comment 15 Philippe ROUBACH 2017-09-26 08:20:37 UTC
Created attachment 108035 [details]
a complete gdb backtrace
Comment 16 Christoph Feck 2017-10-04 14:21:45 UTC
Backtrace from comment #15 also shows memory corruption issue, which can happen anytime before the crash, so unfortunately the backtrace does not help to find the issue.

The link in comment #11 explains how to get a valgrind log, but I understand that this might require more help from experts.
Comment 17 Philippe ROUBACH 2017-12-17 11:56:57 UTC
some news now for
kde apps 17.12.0
kde framework 5.40
qt 5.10.0

no more crash

QFSFileEngine::open: No file name specified
...
QFSFileEngine::open: No file name specified
sonnet.core: deleting 0x1e78720 for "fr_FR"
sonnet.core: deleting 0x1d3cca8 for "fr_FR"
QFSFileEngine::open: No file name specified
...
QFSFileEngine::open: No file name specified
sonnet.core: Loading trigrams from "/usr/share/kf5/sonnet/trigrams.map"
sonnet.core: deleting 0x1e77e40 for "fr"
sonnet.core: deleting 0x1d0b8e8 for "fr_FR"
QXcbConnection: XCB error: 3 (BadWindow), sequence: 4040, resource id: 40030946, major code: 40 (TranslateCoords), minor code: 0
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
error activating kdeconnectd: QDBusError("", "")
QFSFileEngine::open: No file name specified
...
QFSFileEngine::open: No file name specified
Comment 18 Philippe ROUBACH 2018-01-08 13:18:06 UTC
i found something more accurate about problem.

if i use
kdeconnect-cli -n 'Samsung Galaxy S2 Plus' --destination %N --send-sms %t
then
there is some fail thus sms is not sent

if i use
kdeconnect-cli -n 'Samsung Galaxy S2 Plus' --destination %N --send-sms '%t'
then
a sms is sent but the text of the sms is "" instead of "test" 

i assume text of the sms is not well transmitted when calling kdeconnect-cli.
this leads to a fail.
Comment 19 Philippe ROUBACH 2018-01-08 13:30:18 UTC
 i made an error in my diagnosis
if i use
kdeconnect-cli -n 'Samsung Galaxy S2 Plus' --destination %N --send-sms %t
then
there is some fail thus sms is not sent

if i use
kdeconnect-cli -n 'Samsung Galaxy S2 Plus' --destination %N --send-sms '%t'
then
there is some fail thus sms is not sent

if i use
kdeconnect-cli --send-sms '%t' -n 'Samsung Galaxy S2 Plus' --destination %N
then
a sms is sent but sent text is "" instead of "test"

i assume text of the sms is not well transmitted when calling kdeconnect-cli.
this leads to a fail.
Comment 20 Philippe ROUBACH 2019-02-13 15:47:16 UTC
kaddressbook 5.10.2

problem still there

but this time we get a trace

Application: KAddressBook (kaddressbook), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f3f9a99f380 (LWP 4379))]

Thread 4 (Thread 0x7f3f63ba1700 (LWP 4385)):
#0  0x00007f3f8eda3de4 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f3f8ed5d0b7 in g_main_context_acquire () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f3f8ed5e085 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f3f8ed5e2dc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f3f979d370b in QEventDispatcherGlib::processEvents (this=0x7f3f5c000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f3f9797499a in QEventLoop::exec (this=this@entry=0x7f3f63ba0c70, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#6  0x00007f3f9779c03a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:531
#7  0x00007f3f9779d7e2 in QThreadPrivate::start (arg=0x56408ac3a590) at thread/qthread_unix.cpp:361
#8  0x00007f3f90ea2559 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f3f96e8681f in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f3f71008700 (LWP 4383)):
#0  0x00007f3f96e7c07b in poll () from /lib64/libc.so.6
#1  0x00007f3f8ed5e1c9 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f3f8ed5e2dc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f3f979d370b in QEventDispatcherGlib::processEvents (this=0x7f3f64000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f3f9797499a in QEventLoop::exec (this=this@entry=0x7f3f71007c70, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007f3f9779c03a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:531
#6  0x00007f3f9779d7e2 in QThreadPrivate::start (arg=0x56408ab86fa0) at thread/qthread_unix.cpp:361
#7  0x00007f3f90ea2559 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f3f96e8681f in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f3f74188700 (LWP 4382)):
#0  0x00007f3f96e7c07b in poll () from /lib64/libc.so.6
#1  0x00007f3f8ed5e1c9 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f3f8ed5e2dc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f3f979d370b in QEventDispatcherGlib::processEvents (this=0x7f3f6c000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f3f9797499a in QEventLoop::exec (this=this@entry=0x7f3f74187c40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007f3f9779c03a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:531
#6  0x00007f3f95e9bd55 in ?? () from /usr/lib64/libQt5DBus.so.5
#7  0x00007f3f9779d7e2 in QThreadPrivate::start (arg=0x7f3f96113d80) at thread/qthread_unix.cpp:361
#8  0x00007f3f90ea2559 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f3f96e8681f in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f3f9a99f380 (LWP 4379)):
[KCrash Handler]
#6  0x00007f3f96ee846f in __memmove_avx_unaligned_erms () from /lib64/libc.so.6
#7  0x00007f3f97824361 in memcpy (__len=<optimized out>, __src=<optimized out>, __dest=<optimized out>) at /usr/include/bits/string_fortified.h:34
#8  replaceArgEscapes (s=..., d=..., field_width=field_width@entry=0, arg=..., larg=..., fillChar=...) at tools/qstring.cpp:8321
#9  0x00007f3f9782cae8 in QString::arg (this=this@entry=0x7ffc08b7aa68, a=..., fieldWidth=fieldWidth@entry=0, fillChar=...) at tools/qstring.cpp:8420
#10 0x00007f3f9782cc14 in QString::arg (this=this@entry=0x7ffc08b7aa68, a=..., fieldWidth=fieldWidth@entry=0, fillChar=..., fillChar@entry=...) at tools/qstring.cpp:8375
#11 0x00007f3f957d8b74 in SendSmsAction::sendSms (this=this@entry=0x7ffc08b7aae7, phoneNumber=...) at /usr/src/debug/akonadi-contact-18.12.2-lp150.94.2.x86_64/src/akonadi-contacts/actions/sendsmsaction.cpp:91
#12 0x00007f3f9579913e in Akonadi::ContactDefaultActions::sendSms (this=<optimized out>, number=...) at /usr/src/debug/akonadi-contact-18.12.2-lp150.94.2.x86_64/src/akonadi-contacts/contactdefaultactions.cpp:100
#13 0x00007f3f979a61c5 in QMetaObject::activate (sender=0x56408ab86830, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7ffc08b7ac00) at kernel/qobject.cpp:3789
#14 0x00007f3f979a6897 in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7f3f959f9160 <Akonadi::ContactViewer::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7ffc08b7ac00) at kernel/qobject.cpp:3642
#15 0x00007f3f957afcc5 in Akonadi::ContactViewer::smsClicked (this=<optimized out>, _t1=...) at /usr/src/debug/akonadi-contact-18.12.2-lp150.94.2.x86_64/build/src/akonadi-contacts/KF5AkonadiContact_autogen/include/moc_contactviewer.cpp:235
#16 0x00007f3f957b006a in Akonadi::ContactViewer::Private::slotUrlClicked (url=..., this=0x56408ab88f10) at /usr/src/debug/akonadi-contact-18.12.2-lp150.94.2.x86_64/src/akonadi-contacts/contactviewer.cpp:219
#17 Akonadi::ContactViewer::<lambda(const QUrl&)>::operator() (url=..., __closure=<optimized out>) at /usr/src/debug/akonadi-contact-18.12.2-lp150.94.2.x86_64/src/akonadi-contacts/contactviewer.cpp:283
#18 QtPrivate::FunctorCall<QtPrivate::IndexesList<0>, QtPrivate::List<const QUrl&>, void, Akonadi::ContactViewer::ContactViewer(QWidget*)::<lambda(const QUrl&)> >::call (arg=<optimized out>, f=...) at /usr/include/qt5/QtCore/qobjectdefs_impl.h:146
#19 QtPrivate::Functor<Akonadi::ContactViewer::ContactViewer(QWidget*)::<lambda(const QUrl&)>, 1>::call<QtPrivate::List<QUrl const&>, void> (arg=<optimized out>, f=...) at /usr/include/qt5/QtCore/qobjectdefs_impl.h:256
#20 QtPrivate::QFunctorSlotObject<Akonadi::ContactViewer::ContactViewer(QWidget*)::<lambda(const QUrl&)>, 1, QtPrivate::List<const QUrl&>, void>::impl(int, QtPrivate::QSlotObjectBase *, QObject *, void **, bool *) (which=<optimized out>, this_=<optimized out>, r=<optimized out>, a=<optimized out>, ret=<optimized out>) at /usr/include/qt5/QtCore/qobjectdefs_impl.h:439
#21 0x00007f3f979a62df in QtPrivate::QSlotObjectBase::call (a=0x7ffc08b7adb0, r=0x56408ab86830, this=0x56408ad62dc0) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:394
#22 QMetaObject::activate (sender=sender@entry=0x56408ab93e20, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=6, argv=argv@entry=0x7ffc08b7adb0) at kernel/qobject.cpp:3770
#23 0x00007f3f979a6897 in QMetaObject::activate (sender=sender@entry=0x56408ab93e20, m=m@entry=0x7f3f98e82ba0 <QTextBrowser::staticMetaObject>, local_signal_index=local_signal_index@entry=6, argv=argv@entry=0x7ffc08b7adb0) at kernel/qobject.cpp:3642
#24 0x00007f3f9895e045 in QTextBrowser::anchorClicked (this=this@entry=0x56408ab93e20, _t1=...) at .moc/moc_qtextbrowser.cpp:332
#25 0x00007f3f9895ea83 in QTextBrowserPrivate::_q_activateAnchor (this=0x56408ab4a630, href=...) at widgets/qtextbrowser.cpp:223
#26 0x00007f3f9895ffdd in QTextBrowser::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/moc_qtextbrowser.cpp:146
#27 0x00007f3f979a61c5 in QMetaObject::activate (sender=0x56408ab8ccd0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=13, argv=argv@entry=0x7ffc08b7af70) at kernel/qobject.cpp:3789
#28 0x00007f3f979a6897 in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7f3f98e84580 <QWidgetTextControl::staticMetaObject>, local_signal_index=local_signal_index@entry=13, argv=argv@entry=0x7ffc08b7af70) at kernel/qobject.cpp:3642
#29 0x00007f3f98976755 in QWidgetTextControl::linkActivated (this=<optimized out>, _t1=...) at .moc/moc_qwidgettextcontrol_p.cpp:582
#30 0x00007f3f9897cba4 in QWidgetTextControlPrivate::activateLinkUnderCursor (this=this@entry=0x56408ab0e6a0, href=...) at widgets/qwidgettextcontrol.cpp:2883
#31 0x00007f3f9897da40 in QWidgetTextControlPrivate::mouseReleaseEvent (this=this@entry=0x56408ab0e6a0, e=e@entry=0x7ffc08b7b7e0, button=<optimized out>, pos=..., modifiers=..., modifiers@entry=..., buttons=..., buttons@entry=..., globalPos=...) at widgets/qwidgettextcontrol.cpp:1797
#32 0x00007f3f989821c8 in QWidgetTextControl::processEvent (this=<optimized out>, e=0x7ffc08b7b7e0, matrix=..., contextWidget=<optimized out>) at widgets/qwidgettextcontrol.cpp:1037
#33 0x00007f3f98978b5e in QWidgetTextControl::processEvent (this=this@entry=0x56408ab8ccd0, e=e@entry=0x7ffc08b7b7e0, coordinateOffset=..., contextWidget=contextWidget@entry=0x56408ab91810) at widgets/qwidgettextcontrol.cpp:983
#34 0x00007f3f9895b65e in QTextEditPrivate::sendControlEvent (e=0x7ffc08b7b7e0, this=0x56408ab4a630) at widgets/qtextedit_p.h:103
#35 QTextEdit::mouseReleaseEvent (this=0x56408ab93e20, e=0x7ffc08b7b7e0) at widgets/qtextedit.cpp:1601
#36 0x00007f3f987ddf08 in QWidget::event (this=this@entry=0x56408ab93e20, event=event@entry=0x7ffc08b7b7e0) at kernel/qwidget.cpp:9297
#37 0x00007f3f9888085e in QFrame::event (this=0x56408ab93e20, e=0x7ffc08b7b7e0) at widgets/qframe.cpp:550
#38 0x00007f3f979763ed in QCoreApplicationPrivate::sendThroughObjectEventFilters (receiver=receiver@entry=0x56408ab91810, event=event@entry=0x7ffc08b7b7e0) at kernel/qcoreapplication.cpp:1186
#39 0x00007f3f9879dd05 in QApplicationPrivate::notify_helper (this=this@entry=0x56408a7482f0, receiver=receiver@entry=0x56408ab91810, e=e@entry=0x7ffc08b7b7e0) at kernel/qapplication.cpp:3746
#40 0x00007f3f987a61f8 in QApplication::notify (this=<optimized out>, receiver=0x56408ab91810, e=0x7ffc08b7b7e0) at kernel/qapplication.cpp:3215
#41 0x00007f3f97976668 in QCoreApplication::notifyInternal2 (receiver=0x56408ab91810, event=0x7ffc08b7b7e0) at kernel/qcoreapplication.cpp:1060
#42 0x00007f3f9797684e in QCoreApplication::sendSpontaneousEvent (receiver=receiver@entry=0x56408ab91810, event=event@entry=0x7ffc08b7b7e0) at kernel/qcoreapplication.cpp:1462
#43 0x00007f3f987a47ef in QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x56408ab91810, event=event@entry=0x7ffc08b7b7e0, alienWidget=0x56408ab91810, nativeWidget=0x7f3f6c013f60, buttonDown=buttonDown@entry=0x7f3f98e9f8f0 <qt_button_down>, lastMouseReceiver=..., spontaneous=true, onlyDispatchEnterLeave=false) at kernel/qapplication.cpp:2701
#44 0x00007f3f987f8f11 in QWidgetWindow::handleMouseEvent (this=this@entry=0x56408adc4730, event=event@entry=0x7ffc08b7bc70) at kernel/qwidgetwindow.cpp:661
#45 0x00007f3f987fbbca in QWidgetWindow::event (this=0x56408adc4730, event=0x7ffc08b7bc70) at kernel/qwidgetwindow.cpp:280
#46 0x00007f3f9879dd2c in QApplicationPrivate::notify_helper (this=this@entry=0x56408a7482f0, receiver=receiver@entry=0x56408adc4730, e=e@entry=0x7ffc08b7bc70) at kernel/qapplication.cpp:3754
#47 0x00007f3f987a5320 in QApplication::notify (this=0x7ffc08b7c0c0, receiver=0x56408adc4730, e=0x7ffc08b7bc70) at kernel/qapplication.cpp:3501
#48 0x00007f3f97976668 in QCoreApplication::notifyInternal2 (receiver=0x56408adc4730, event=0x7ffc08b7bc70) at kernel/qcoreapplication.cpp:1060
#49 0x00007f3f9797684e in QCoreApplication::sendSpontaneousEvent (receiver=receiver@entry=0x56408adc4730, event=event@entry=0x7ffc08b7bc70) at kernel/qcoreapplication.cpp:1462
#50 0x00007f3f97f56d2b in QGuiApplicationPrivate::processMouseEvent (e=0x56408b0e38f0) at kernel/qguiapplication.cpp:2102
#51 0x00007f3f97f57e95 in QGuiApplicationPrivate::processWindowSystemEvent (e=e@entry=0x56408b0e38f0) at kernel/qguiapplication.cpp:1837
#52 0x00007f3f97f309eb in QWindowSystemInterface::sendWindowSystemEvents (flags=flags@entry=...) at kernel/qwindowsysteminterface.cpp:1071
#53 0x00007f3f82d3d62a in xcbSourceDispatch (source=<optimized out>) at qxcbeventdispatcher.cpp:105
#54 0x00007f3f8ed5e017 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#55 0x00007f3f8ed5e250 in ?? () from /usr/lib64/libglib-2.0.so.0
#56 0x00007f3f8ed5e2dc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#57 0x00007f3f979d36ef in QEventDispatcherGlib::processEvents (this=0x56408a7b1a00, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#58 0x00007f3f9797499a in QEventLoop::exec (this=this@entry=0x7ffc08b7c010, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#59 0x00007f3f9797db40 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1363
#60 0x000056408903da42 in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/kaddressbook-18.12.2-lp150.75.2.x86_64/src/main.cpp:91
[Inferior 1 (process 4379) detached]
Comment 21 Philippe ROUBACH 2019-07-06 11:43:11 UTC
kde apps 19.04.2
plasma 5.16.2
kde frameworks 5.59.0
qt 5.13.0

Problem still there.

Here is trace.

Application: KAddressBook (kaddressbook), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fc698305940 (LWP 5512))]

Thread 5 (Thread 0x7fc65c8b4700 (LWP 5519)):
#0  0x00007fc6947b619b in poll () from /lib64/libc.so.6
#1  0x00007fc68c2701a9 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc68c2702bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc69531c56b in QEventDispatcherGlib::processEvents (this=0x7fc658000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007fc6952bcb6a in QEventLoop::exec (this=this@entry=0x7fc65c8b3c70, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007fc6950d8d6a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:531
#6  0x00007fc6950da512 in QThreadPrivate::start (arg=0x5581be563940) at thread/qthread_unix.cpp:360
#7  0x00007fc68e3a0569 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fc6947c09ef in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fc66989c700 (LWP 5517)):
#0  0x00007fc6947b1c98 in read () from /lib64/libc.so.6
#1  0x00007fc68c2b4ca0 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc68c26fcb8 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc68c270150 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fc68c2702bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fc69531c56b in QEventDispatcherGlib::processEvents (this=0x7fc660000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007fc6952bcb6a in QEventLoop::exec (this=this@entry=0x7fc66989bc70, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#7  0x00007fc6950d8d6a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:531
#8  0x00007fc6950da512 in QThreadPrivate::start (arg=0x5581be43aba0) at thread/qthread_unix.cpp:360
#9  0x00007fc68e3a0569 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fc6947c09ef in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fc670bc4700 (LWP 5516)):
#0  0x00007fc68c2b5ff4 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fc68c27019e in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc68c2702bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc69531c56b in QEventDispatcherGlib::processEvents (this=0x7fc664000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007fc6952bcb6a in QEventLoop::exec (this=this@entry=0x7fc670bc3c40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007fc6950d8d6a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:531
#6  0x00007fc6937d3db5 in ?? () from /usr/lib64/libQt5DBus.so.5
#7  0x00007fc6950da512 in QThreadPrivate::start (arg=0x7fc693a4bd80) at thread/qthread_unix.cpp:360
#8  0x00007fc68e3a0569 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fc6947c09ef in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fc672e3a700 (LWP 5515)):
#0  0x00007fc68e3a68ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc673ae092b in ?? () from /usr/lib64/dri/i965_dri.so
#2  0x00007fc673ae0637 in ?? () from /usr/lib64/dri/i965_dri.so
#3  0x00007fc68e3a0569 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fc6947c09ef in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fc698305940 (LWP 5512)):
[KCrash Handler]
#6  0x00007fc69482283f in __memmove_avx_unaligned_erms () from /lib64/libc.so.6
#7  0x00007fc6951604c1 in memcpy (__len=<optimized out>, __src=<optimized out>, __dest=<optimized out>) at /usr/include/bits/string_fortified.h:34
#8  replaceArgEscapes (s=..., d=..., field_width=field_width@entry=0, arg=..., larg=..., fillChar=...) at tools/qstring.cpp:8323
#9  0x00007fc695168a98 in QString::arg (this=this@entry=0x7fff5a27cd38, a=..., fieldWidth=fieldWidth@entry=0, fillChar=...) at tools/qstring.cpp:8422
#10 0x00007fc695168bc4 in QString::arg (this=this@entry=0x7fff5a27cd38, a=..., fieldWidth=fieldWidth@entry=0, fillChar=..., fillChar@entry=...) at tools/qstring.cpp:8377
#11 0x00007fc6931109b4 in SendSmsAction::sendSms (this=this@entry=0x7fff5a27cdb7, phoneNumber=...) at /usr/src/debug/akonadi-contact-19.04.2-lp151.105.3.x86_64/src/akonadi-contacts/actions/sendsmsaction.cpp:91
#12 0x00007fc6930d1cfe in Akonadi::ContactDefaultActions::sendSms (this=<optimized out>, number=...) at /usr/src/debug/akonadi-contact-19.04.2-lp151.105.3.x86_64/src/akonadi-contacts/contactdefaultactions.cpp:100
#13 0x00007fc6952ef335 in QMetaObject::activate (sender=0x5581be439a90, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=3, argv=<optimized out>, argv@entry=0x7fff5a27ced0) at kernel/qobject.cpp:3807
#14 0x00007fc6952ef9f7 in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7fc693331160 <Akonadi::ContactViewer::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7fff5a27ced0) at kernel/qobject.cpp:3658
#15 0x00007fc6930e7eb5 in Akonadi::ContactViewer::smsClicked (this=<optimized out>, _t1=...) at /usr/src/debug/akonadi-contact-19.04.2-lp151.105.3.x86_64/build/src/akonadi-contacts/KF5AkonadiContact_autogen/include/moc_contactviewer.cpp:236
#16 0x00007fc6930e825a in Akonadi::ContactViewer::Private::slotUrlClicked (url=..., this=0x5581be432a50) at /usr/src/debug/akonadi-contact-19.04.2-lp151.105.3.x86_64/src/akonadi-contacts/contactviewer.cpp:219
#17 Akonadi::ContactViewer::<lambda(const QUrl&)>::operator() (url=..., __closure=<optimized out>) at /usr/src/debug/akonadi-contact-19.04.2-lp151.105.3.x86_64/src/akonadi-contacts/contactviewer.cpp:283
#18 QtPrivate::FunctorCall<QtPrivate::IndexesList<0>, QtPrivate::List<const QUrl&>, void, Akonadi::ContactViewer::ContactViewer(QWidget*)::<lambda(const QUrl&)> >::call (arg=<optimized out>, f=...) at /usr/include/qt5/QtCore/qobjectdefs_impl.h:146
#19 QtPrivate::Functor<Akonadi::ContactViewer::ContactViewer(QWidget*)::<lambda(const QUrl&)>, 1>::call<QtPrivate::List<QUrl const&>, void> (arg=<optimized out>, f=...) at /usr/include/qt5/QtCore/qobjectdefs_impl.h:256
#20 QtPrivate::QFunctorSlotObject<Akonadi::ContactViewer::ContactViewer(QWidget*)::<lambda(const QUrl&)>, 1, QtPrivate::List<const QUrl&>, void>::impl(int, QtPrivate::QSlotObjectBase *, QObject *, void **, bool *) (which=<optimized out>, this_=<optimized out>, r=<optimized out>, a=<optimized out>, ret=<optimized out>) at /usr/include/qt5/QtCore/qobjectdefs_impl.h:439
#21 0x00007fc6952ef44f in QtPrivate::QSlotObjectBase::call (a=0x7fff5a27d080, r=0x5581be439a90, this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:394
#22 QMetaObject::activate (sender=sender@entry=0x5581be44a7e0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=6, argv=<optimized out>, argv@entry=0x7fff5a27d080) at kernel/qobject.cpp:3787
#23 0x00007fc6952ef9f7 in QMetaObject::activate (sender=sender@entry=0x5581be44a7e0, m=m@entry=0x7fc6967de760 <QTextBrowser::staticMetaObject>, local_signal_index=local_signal_index@entry=6, argv=argv@entry=0x7fff5a27d080) at kernel/qobject.cpp:3658
#24 0x00007fc6962b6085 in QTextBrowser::anchorClicked (this=this@entry=0x5581be44a7e0, _t1=...) at .moc/moc_qtextbrowser.cpp:333
#25 0x00007fc6962b6b13 in QTextBrowserPrivate::_q_activateAnchor (this=0x5581bdfee110, href=...) at widgets/qtextbrowser.cpp:223
#26 0x00007fc6962b806d in QTextBrowser::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/moc_qtextbrowser.cpp:147
#27 0x00007fc6952ef335 in QMetaObject::activate (sender=0x5581be4434b0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=13, argv=<optimized out>, argv@entry=0x7fff5a27d240) at kernel/qobject.cpp:3807
#28 0x00007fc6952ef9f7 in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7fc6967e0140 <QWidgetTextControl::staticMetaObject>, local_signal_index=local_signal_index@entry=13, argv=argv@entry=0x7fff5a27d240) at kernel/qobject.cpp:3658
#29 0x00007fc6962cedf5 in QWidgetTextControl::linkActivated (this=<optimized out>, _t1=...) at .moc/moc_qwidgettextcontrol_p.cpp:583
#30 0x00007fc6962d51a4 in QWidgetTextControlPrivate::activateLinkUnderCursor (this=this@entry=0x5581be1aa7a0, href=...) at widgets/qwidgettextcontrol.cpp:2881
#31 0x00007fc6962d6040 in QWidgetTextControlPrivate::mouseReleaseEvent (this=this@entry=0x5581be1aa7a0, e=e@entry=0x7fff5a27dab0, button=<optimized out>, pos=..., modifiers=..., modifiers@entry=..., buttons=..., buttons@entry=..., globalPos=...) at widgets/qwidgettextcontrol.cpp:1795
#32 0x00007fc6962da6c8 in QWidgetTextControl::processEvent (this=<optimized out>, e=0x7fff5a27dab0, matrix=..., contextWidget=<optimized out>) at widgets/qwidgettextcontrol.cpp:1042
#33 0x00007fc6962d10be in QWidgetTextControl::processEvent (this=this@entry=0x5581be4434b0, e=e@entry=0x7fff5a27dab0, coordinateOffset=..., contextWidget=contextWidget@entry=0x5581be448160) at widgets/qwidgettextcontrol.cpp:988
#34 0x00007fc6962b35de in QTextEditPrivate::sendControlEvent (e=0x7fff5a27dab0, this=0x5581bdfee110) at widgets/qtextedit_p.h:103
#35 QTextEdit::mouseReleaseEvent (this=0x5581be44a7e0, e=0x7fff5a27dab0) at widgets/qtextedit.cpp:1620
#36 0x00007fc696133b78 in QWidget::event (this=this@entry=0x5581be44a7e0, event=event@entry=0x7fff5a27dab0) at kernel/qwidget.cpp:9324
#37 0x00007fc6961d860e in QFrame::event (this=0x5581be44a7e0, e=0x7fff5a27dab0) at widgets/qframe.cpp:550
#38 0x00007fc6952be6dd in QCoreApplicationPrivate::sendThroughObjectEventFilters (receiver=receiver@entry=0x5581be448160, event=event@entry=0x7fff5a27dab0) at kernel/qcoreapplication.cpp:1191
#39 0x00007fc6960f2f85 in QApplicationPrivate::notify_helper (this=this@entry=0x5581bdff5800, receiver=receiver@entry=0x5581be448160, e=e@entry=0x7fff5a27dab0) at kernel/qapplication.cpp:3734
#40 0x00007fc6960fb3f8 in QApplication::notify (this=<optimized out>, receiver=0x5581be448160, e=0x7fff5a27dab0) at kernel/qapplication.cpp:3200
#41 0x00007fc6952be958 in QCoreApplication::notifyInternal2 (receiver=0x5581be448160, event=0x7fff5a27dab0) at kernel/qcoreapplication.cpp:1065
#42 0x00007fc6952beb3e in QCoreApplication::sendSpontaneousEvent (receiver=receiver@entry=0x5581be448160, event=event@entry=0x7fff5a27dab0) at kernel/qcoreapplication.cpp:1472
#43 0x00007fc6960f99ef in QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x5581be448160, event=event@entry=0x7fff5a27dab0, alienWidget=0x5581be448160, nativeWidget=0x7fc6640140f0, buttonDown=buttonDown@entry=0x7fc6967fb8b0 <qt_button_down>, lastMouseReceiver=..., spontaneous=true, onlyDispatchEnterLeave=false) at kernel/qapplication.cpp:2686
#44 0x00007fc69614e7f1 in QWidgetWindow::handleMouseEvent (this=this@entry=0x5581be684f60, event=event@entry=0x7fff5a27df40) at kernel/qwidgetwindow.cpp:661
#45 0x00007fc69615164a in QWidgetWindow::event (this=0x5581be684f60, event=0x7fff5a27df40) at kernel/qwidgetwindow.cpp:280
#46 0x00007fc6960f2fac in QApplicationPrivate::notify_helper (this=this@entry=0x5581bdff5800, receiver=receiver@entry=0x5581be684f60, e=e@entry=0x7fff5a27df40) at kernel/qapplication.cpp:3740
#47 0x00007fc6960fa520 in QApplication::notify (this=0x7fff5a27e390, receiver=0x5581be684f60, e=0x7fff5a27df40) at kernel/qapplication.cpp:3486
#48 0x00007fc6952be958 in QCoreApplication::notifyInternal2 (receiver=0x5581be684f60, event=0x7fff5a27df40) at kernel/qcoreapplication.cpp:1065
#49 0x00007fc6952beb3e in QCoreApplication::sendSpontaneousEvent (receiver=receiver@entry=0x5581be684f60, event=event@entry=0x7fff5a27df40) at kernel/qcoreapplication.cpp:1472
#50 0x00007fc6958aa325 in QGuiApplicationPrivate::processMouseEvent (e=0x5581be9bb2c0) at kernel/qguiapplication.cpp:2111
#51 0x00007fc6958ab475 in QGuiApplicationPrivate::processWindowSystemEvent (e=e@entry=0x5581be9bb2c0) at kernel/qguiapplication.cpp:1846
#52 0x00007fc6958841fb in QWindowSystemInterface::sendWindowSystemEvents (flags=flags@entry=...) at kernel/qwindowsysteminterface.cpp:1148
#53 0x00007fc68003c74a in xcbSourceDispatch (source=<optimized out>) at qxcbeventdispatcher.cpp:105
#54 0x00007fc68c26fe87 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#55 0x00007fc68c270230 in ?? () from /usr/lib64/libglib-2.0.so.0
#56 0x00007fc68c2702bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#57 0x00007fc69531c54f in QEventDispatcherGlib::processEvents (this=0x5581be060070, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#58 0x00007fc6952bcb6a in QEventLoop::exec (this=this@entry=0x7fff5a27e2e0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#59 0x00007fc6952c5e30 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1373
#60 0x00005581bc868952 in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/kaddressbook-19.04.2-lp151.86.3.x86_64/src/main.cpp:91
[Inferior 1 (process 5512) detached]
Comment 22 Laurent Montel 2019-07-07 06:09:17 UTC
What is you command line that you use for sending sms ?
When I look at source code I can't understand the problem.
Comment 23 Philippe ROUBACH 2019-07-07 07:00:18 UTC
(In reply to Laurent Montel from comment #22)
> What is you command line that you use for sending sms ?
> When I look at source code I can't understand the problem.

see description and comment #19

with the last test i used :

kdeconnect-cli --name 'Samsung SM-G930F' --destination %N --send-sms '%t'
Comment 24 Laurent Montel 2019-07-07 07:41:54 UTC
no crash with it here and I don't understand how it can crash...
Comment 25 Philippe ROUBACH 2019-07-07 07:44:36 UTC
may be an opensuse problem ?
Comment 26 Philippe ROUBACH 2019-08-16 10:31:29 UTC
Created attachment 122164 [details]
backtrace 20190816

kde apps 19.08.0
kde  plasma 5.16.4
kde frameworks 5.61.0
qt 5.13.0

Problem still there.

I used the new feature "default system value" to select what app to use for sending SMS.

Calling a number works well with this new feature.
Comment 27 Laurent Montel 2019-08-16 11:21:52 UTC
is message is empty ?
Comment 28 Philippe ROUBACH 2019-08-16 11:26:40 UTC
Message is not empty. I tested with one or several words.
Comment 29 Laurent Montel 2019-08-16 12:17:09 UTC
(In reply to Philippe ROUBACH from comment #28)
> Message is not empty. I tested with one or several words.

I don't understand why it crashs here... it's not logical.
no idea.
I tested here it doesn't crash
Comment 30 Philippe ROUBACH 2019-08-16 12:37:17 UTC
Created attachment 122171 [details]
kaddressbook alone crash backtrace